2023-02-05 18:38 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003249Spring engineUnit Scriptingpublic2012-08-27 12:00
Reporterden2 
Assigned ToKloot 
PrioritylowSeverityfeatureReproducibilityalways
StatusclosedResolutionno change required 
Product Version89.0 
Target VersionFixed in Version 
Summary0003249: Dive some air units after destroying
DescriptionBefore so it was: some air unit nosedive after destroying. It was cute and makes a variety - sometimes when falling plane could destroy something.

Can somehow restore this behavior? Without scouting of falling airunit, of course.
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
+Relationships

-Notes

~0009127

Google_Frog (reporter)

Does this not occur in BA?

~0009128

FLOZi (reporter)

If you mean the 'crashing whilst emitting smoke behaviour' then it's a game issue:

Spring.SetUnitCOBValue(unitID, COB.CRASHING, 1) in gadget:UnitPreDamaged, check if damage > currentHealth, can make it random if you wish.

~0009129

Kloot (developer)

Used to be hardcoded behavior, now it's scriptable so aircraft do not nosedive automatically anymore (in BA and other games that have not added the necessary code to bring this back).

~0009130

den2 (reporter)

Can anyone move this issue to "unit scripting"?

~0009132

Kloot (developer)

done, but this is not an engine feature request
+Notes

-Issue History
Date Modified Username Field Change
2012-08-26 01:51 den2 New Issue
2012-08-26 06:18 Google_Frog Note Added: 0009127
2012-08-26 13:08 FLOZi Note Added: 0009128
2012-08-26 17:14 Kloot Note Added: 0009129
2012-08-26 17:14 Kloot Status new => closed
2012-08-26 17:14 Kloot Assigned To => Kloot
2012-08-26 17:14 Kloot Resolution open => no change required
2012-08-27 00:29 den2 Note Added: 0009130
2012-08-27 00:29 den2 Status closed => feedback
2012-08-27 00:29 den2 Resolution no change required => reopened
2012-08-27 12:00 Kloot Category General => Unit Scripting
2012-08-27 12:00 Kloot Note Added: 0009132
2012-08-27 12:00 Kloot Status feedback => closed
2012-08-27 12:00 Kloot Resolution reopened => no change required
+Issue History